 
/*
 * ============LICENSE_START=======================================================
 *  Copyright (C) 2021 Nordix Foundation
 *  ================================================================================
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *  ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.plugins.etsi.nfv.nsd.generator.config;

import java.util.Comparator;

public class NsDescriptorVersionComparator implements Comparator<EtsiVersion> {

    @Override
    public int compare(final EtsiVersion o1, final EtsiVersion o2) {
        final String[] v1 = o1.getVersion().split("\\.");
        final String[] v2 = o2.getVersion().split("\\.");
        if (Integer.parseInt(v1[0]) > Integer.parseInt(v2[0])) {
            return 1;
        } else if (Integer.parseInt(v1[0]) < Integer.parseInt(v2[0])) {
            return -1;
        }
        if (Integer.parseInt(v1[1]) > Integer.parseInt(v2[1])) {
            return 1;
        } else if (Integer.parseInt(v1[1]) < Integer.parseInt(v2[1])) {
            return -1;
        }
        if (Integer.parseInt(v1[2]) > Integer.parseInt(v2[2])) {
            return 1;
        } else if (Integer.parseInt(v1[2]) < Integer.parseInt(v2[2])) {
            return -1;
        }
        return 0;
    }
}
